/*!
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2016 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */

/* global angular */

"use strict";

(function () {
  var deps = ['starter.message-controller',
    'starter.editor-controller',
    'starter.requests-controller',
    'starter.agenda-controller',
    'starter.jquery-extras'];

  // Joocial
  try {
    angular.module('starter.cronjob-expr-controller');
    deps.push('starter.cronjob-expr-controller');
  } catch (e) {
  }

  angular.module('starter', deps)
    .config(function ($logProvider, $compileProvider) {

      // Debug Application
      $logProvider.debugEnabled(false);
      $compileProvider.debugInfoEnabled(false);

    });
})();
