
ALTER TABLE `#__autotweet_requests`
 CHANGE `created` `created` datetime NOT NULL,
 CHANGE `modified` `modified` datetime,
 CHANGE `checked_out_time` `checked_out_time` datetime,
 CHANGE `params` `params` longtext NOT NULL;

ALTER TABLE `#__autotweet_posts`
 CHANGE `created` `created` datetime NOT NULL,
 CHANGE `modified` `modified` datetime,
 CHANGE `checked_out_time` `checked_out_time` datetime,
 CHANGE `params` `params` longtext NOT NULL;

ALTER TABLE `#__autotweet_channels`
 CHANGE `created` `created` datetime NOT NULL,
 CHANGE `modified` `modified` datetime,
 CHANGE `checked_out_time` `checked_out_time` datetime,
 CHANGE `params` `params` longtext NOT NULL;

ALTER TABLE `#__autotweet_rules`
 CHANGE `created` `created` datetime NOT NULL,
 CHANGE `modified` `modified` datetime,
 CHANGE `checked_out_time` `checked_out_time` datetime,
 CHANGE `params` `params` longtext NOT NULL;

ALTER TABLE `#__autotweet_feeds`
 CHANGE `created` `created` datetime NOT NULL,
 CHANGE `modified` `modified` datetime,
 CHANGE `checked_out_time` `checked_out_time` datetime,
 CHANGE `params` `params` text NOT NULL;

SET SQL_MODE='ALLOW_INVALID_DATES';
UPDATE `#__autotweet_advanced_attrs` SET `modified` = NOW() WHERE `modified` = '0000-00-00 00:00:00';
UPDATE `#__autotweet_sessions` SET `modified` = NOW() WHERE `modified` = '0000-00-00 00:00:00';

ALTER TABLE `#__autotweet_advanced_attrs`
 CHANGE `created` `created` datetime NOT NULL,
 CHANGE `modified` `modified` datetime,
 CHANGE `checked_out_time` `checked_out_time` datetime,
 CHANGE `params` `params` text NOT NULL;

ALTER TABLE `#__autotweet_sessions`
 CHANGE `created` `created` datetime NOT NULL,
 CHANGE `modified` `modified` datetime,
 CHANGE `checked_out_time` `checked_out_time` datetime,
 CHANGE `params` `params` text NOT NULL;

DROP TABLE IF EXISTS `#__autotweet_channeltypes`;
CREATE TABLE IF NOT EXISTS `#__autotweet_channeltypes` (
  `id` int(11) NOT NULL,
  `name` varchar(64),
  `description` varchar(1024),
  `max_chars` int(4),
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (1, 'Twitter', 'COM_AUTOTWEET_CHANNEL_TWITTER_DESC', 140);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (2, 'Facebook', 'COM_AUTOTWEET_CHANNEL_FACEBOOK_DESC', 420);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (3, 'Mail', 'COM_AUTOTWEET_CHANNEL_MAIL_DESC', 16384);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (6, 'LinkedIn Group for Partners', 'COM_AUTOTWEET_CHANNEL_LINKEDINGROUP_DESC', 200);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (8, 'Facebook Photo', 'COM_AUTOTWEET_CHANNEL_FACEBOOKPHOTO_DESC', 420);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (11, 'VK (Beta)', 'COM_AUTOTWEET_CHANNEL_VK_DESC', 320);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (12, 'VK Communities (Beta)', 'COM_AUTOTWEET_CHANNEL_VK_DESC', 320);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (14, 'Scoop.it', 'COM_AUTOTWEET_CHANNEL_SCOOPIT_DESC', 420);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (15, 'Xing', 'COM_AUTOTWEET_CHANNEL_XING_DESC', 420);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (16, 'Tumblr', 'COM_AUTOTWEET_CHANNEL_TUMBLR_DESC', 420);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (17, 'Google Blogger', 'COM_AUTOTWEET_CHANNEL_BLOGGER_DESC', 420);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (18, 'JomSocial', 'COM_AUTOTWEET_CHANNEL_JOMSOCIAL_DESC', 420);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (19, 'EasySocial', 'COM_AUTOTWEET_CHANNEL_EASYSOCIAL_DESC', 420);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (20, 'LinkedIn User', 'COM_AUTOTWEET_CHANNEL_LINKEDIN2015_DESC', 200);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (21, 'LinkedIn Company', 'COM_AUTOTWEET_CHANNEL_LINKEDINCOMPANY5015_DESC', 200);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (22, 'Facebook Instant Articles', 'COM_AUTOTWEET_CHANNEL_FACEBOOKINSTART_DESC', 420);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (23, 'Telegram', 'COM_AUTOTWEET_CHANNEL_TELEGRAM_DESC', 420);

INSERT INTO `#__autotweet_channeltypes`
	(`id`, `name`, `description`, `max_chars`)
	VALUES (24, 'Medium', 'COM_AUTOTWEET_CHANNEL_MEDIUM_DESC', 420);
