<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2016 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
defined('_JEXEC') or die;

?>

<fieldset class="extly-batch">

	<div class="row-fluid">
		<div class="span6">

			<div class="control-group">
				<label class="control-label required" for="batch_pubstate" id="batch_pubstate-lbl" rel="tooltip" data-original-title="<?php
			echo JText::_('COM_AUTOTWEET_BATCH_POSTS_DESC');
			?>"><i class="xticon xticon-cog"></i> <?php echo JText::_('COM_AUTOTWEET_POST_STATE'); ?> </label>

				<div class="controls inline">
					<?php echo SelectControlHelper::pubstates(null, 'batch_pubstate', array('class' => 'input')); ?>
				</div>
			</div>

			<p class="text-center"><button class="btn btn-success" type="submit" onclick="Joomla.submitbutton('batch');">
				<?php echo JText::_('COM_AUTOTWEET_BATCH_MOVE_BUTTON'); ?>
			</button></p>

			<p class="text-center muted"><em>
				<?php echo JText::_('COM_AUTOTWEET_POST_STATE_DESC'); ?>
			</em></p>

		</div>
		<div class="span6">
		</div>
	</div>

</fieldset>
